error in upgrade after install parrot

community
parrotsec
parrot

#1

Briefly describe your issue below:


**Parrot 4.4 ** (parrot 4.18.0-parrot10-amd64)
architecture :
laptop
4 gb ram
cpu i5

Debian Standard 10 Buster

Configured to multiboot with other systems? (no)

error messages or relevant logs
supported-versions: WARNING! Unknown distribution: parrot
debian found in ID_LIKE, treating as Debian
supported-versions: WARNING: Unknown Debian release: 4.4
dpkg: unrecoverable fatal error, aborting:
loading files list file for package ‘mate-applets-common’: cannot read /var/lib/dpkg/info/mate-applets-common.list (Input/output error)
Configuring sandbox profiles…
Sandbox profiles updated!
E: Sub-process /usr/bin/dpkg returned an error code (2)


(D) #2

Could you elaborate a bit further please? What you were doing, and what you are trying to achieve?


#3

I had something like that happen to me when I installed a gtk package. sorry, I dont remember which one. But when I reformatted, and tried again, I paid closer attention to the marked dependency packages. One of them was some kind of security auto-updater. It trashed my package manager completely.